package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 保证金配置对象 app_bond_config
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppBondConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 保证金标题 */
    @Excel(name = "保证金标题")
    private String bondTitle;

    /** 保证金说明 */
    @Excel(name = "保证金说明")
    private String bondText;

    /** 保证金协议 */
    @Excel(name = "保证金协议")
    private String bondUrl;

    /** 删除标志 */
    private Integer delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBondTitle(String bondTitle) 
    {
        this.bondTitle = bondTitle;
    }

    public String getBondTitle() 
    {
        return bondTitle;
    }
    public void setBondText(String bondText) 
    {
        this.bondText = bondText;
    }

    public String getBondText() 
    {
        return bondText;
    }
    public void setBondUrl(String bondUrl) 
    {
        this.bondUrl = bondUrl;
    }

    public String getBondUrl() 
    {
        return bondUrl;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bondTitle", getBondTitle())
            .append("bondText", getBondText())
            .append("bondUrl", getBondUrl())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
